Adresse[] adressen;
int vergleiche = 0;
 
void setup() {  
  Table table = loadTable("l2-adressdaten.csv", "csv");
 
  int anzahl = table.getRowCount();
  adressen = new Adresse[anzahl];
 
  int i = 0;
 
  for (TableRow row : table.rows()) {  
    String nachname = row.getString(0);
    String vorname = row.getString(1);
    String adresse = row.getString(2);
    String plz = row.getString(3);
    String ort = row.getString(4);
 
    adressen[i++] = new Adresse(nachname, vorname, adresse, plz, ort);
  }
 
  String vorname = "Nadine";
  String nachname = "Muench";
  Adresse adresse = suche(nachname, vorname);
 
  println("Die Suche benötigte " + vergleiche + " Vergleiche!");
 
  if (adresse != null) {
    println(vorname + " " + nachname + " wohnt in " + adresse.getAdresse()  + ", " + adresse.getPlz() + " " + adresse.getOrt());
  } else {
    println("Keine Adresse von " + vorname + " " + nachname + " gefunden!");
  }
}
 
Adresse suche(String nachname, String vorname) {
  for (int i = 0; i < adressen.length; i++) {
    vergleiche++;
 
    if (adressen[i].getNachname().equals(nachname) && adressen[i].getVorname().equals(vorname)) {
      return adressen[i];
    }
  }
 
  return null;
}
